# LTX-2.3 22B · Reference Video to Video API

> สร้างวิดีโอใหม่โดยมีวิดีโออ้างอิงเป็นแนวทาง พร้อมเสียงที่แทนที่ได้ รวมถึงเฟรมแรกและเฟรมสุดท้ายที่เป็นตัวเลือก

รับ `prompt` และ `video_url` ของวิดีโออ้างอิง โดย `audio_url` ที่เป็นตัวเลือกจะใช้แทนเสียงเดิม หากไม่ระบุ จะใช้เสียงจากวิดีโออินพุต สามารถใช้ `image_url` และ `end_image_url` เพื่อกำหนดเฟรมแรกและเฟรมสุดท้ายได้ เมื่อเปิดใช้ `match_video_length` จำนวนเฟรมจะอ้างอิงตามวิดีโออ้างอิง มิฉะนั้นจะใช้ `num_frames` (9 ถึง 481)

- Model id: `ltx-2.3-22b/reference-video-to-video`
- Made by: Lightricks
- Category: Video to Video
- Output: video
- Price per megapixel of your output video: $0.00161 / megapixel of output video (cheapest run $0.002 (2 API credits))
- Run: `POST https://api.doitong.ru/v1/run/ltx-2.3-22b/reference-video-to-video`
- Quote: `POST https://api.doitong.ru/v1/quote/ltx-2.3-22b/reference-video-to-video`
- Docs page: https://doitong.com/th/developers/models/ltx-2.3-22b/reference-video-to-video

## Pricing

Price: **$0.00161 / megapixel of output video**. Price per megapixel of your output video: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

The full example input below costs $0.453 = 453 API credits (282 MP output video × $0.001605).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/ltx-2.3-22b/reference-video-to-video` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | yes |  |  | พรอมต์ที่ใช้เป็นพื้นฐานสำหรับการสร้างวิดีโอ |
| `video_url` | `video` | string (video URL) | yes |  |  | URL ที่ระบุวิดีโออ้างอิง |
| `audio_url` | `audio` | string (audio URL) \| null | no |  |  | URL เสียงเสริมที่ใช้เป็นแทร็กเสียงของวิดีโอ หากไม่ระบุ ระบบจะใช้เสียงจากวิดีโอต้นทางเมื่อมีเสียงอยู่ |
| `image_url` | `image` | string (image URL) \| null | no |  |  | URL รูปภาพเสริมที่กำหนดเฟรมเริ่มต้นของวิดีโอ |
| `end_image_url` | `end_image` | string (image URL) \| null | no |  |  | URL ของรูปภาพที่กำหนดเฟรมสิ้นสุดของวิดีโอ |
| `match_video_length` |  | boolean | no | `true` |  | โหมดเลือกจำนวนเฟรม: เมื่อปิดจะใช้ `num_frames` ส่วนเมื่อเปิดจะคำนวณจำนวนโดยใช้ FPS และระยะเวลาวิดีโอ |
| `num_frames` |  | integer | no | `121` | 9 – 481 | จำนวนเฟรมของเอาต์พุตที่สร้าง |
| `video_size` |  | object {width, height} \| enum (string) | no | `auto` | `auto`, `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9` | ขนาดของวิดีโอที่สร้างขึ้น |
| `generate_audio` |  | boolean | no | `true` |  | ควบคุมว่าจะให้วิดีโอมีเสียงที่สร้างขึ้นหรือไม่ |
| `use_multiscale` |  | boolean | no | `true` |  | ตัวเลือกการสร้างหลายสเกลเพื่อเพิ่มความสอดคล้องและรายละเอียด เมื่อเป็น True วิดีโอขนาดเล็กเบื้องต้นจะช่วยชี้นำการสร้างครั้งที่สอง ซึ่งมีขนาดเท่ากับหรือใหญ่กว่าขนาดที่ขอ |
| `match_input_fps` |  | boolean | no | `true` |  | การแทนที่อัตราเฟรมเอาต์พุต ซึ่งเมื่อเปิดจะใช้ FPS ของวิดีโอต้นฉบับแทน FPS เป้าหมายค่าเริ่มต้น |
| `fps` |  | number | no | `24` | 1 – 60 | อัตราเฟรมของวิดีโอเอาต์พุต วัดเป็นเฟรมต่อวินาที |
| `num_inference_steps` |  | integer | no | `40` | 8 – 50 | จำนวนขั้นตอนการอนุมานที่ดำเนินการ |
| `video_cfg_scale` |  | number | no | `3` | 1 – 20 | การตั้งค่าการชี้นำวิดีโอ เพิ่มค่าเพื่อให้เนื้อหาที่สร้างมีความสอดคล้องและโฟกัสมากขึ้น ใช้ classifier-free guidance (CFG) |
| `video_stg_scale` |  | number | no | `0` | 0 – 20 | ควบคุมความสอดคล้องและโฟกัสของวิดีโอผ่านสเกล Spatiotemporal Guidance (STG) เพิ่มค่าเพื่อเสริมคุณสมบัติทั้งสอง |
| `video_rescaling_scale` |  | number | no | `0.7` | 0 – 1 | การปรับสเกลวิดีโอเพื่อสร้างสมดุลระหว่าง classifier-free guidance กับ spatiotemporal guidance ในรูปอัตราส่วน |
| `video_modality_scale` |  | number | no | `3` | 0 – 10 | การปรับโมดาลิตีวิดีโอเพื่อสร้างสมดุลระหว่างสัดส่วนของวิดีโอและเสียง |
| `audio_cfg_scale` |  | number | no | `7` | 1 – 20 | การตั้งค่าการชี้นำเสียง เพิ่มค่าเพื่อให้เนื้อหาที่สร้างมีความสอดคล้องและโฟกัสมากขึ้น ใช้ classifier-free guidance (CFG) |
| `audio_stg_scale` |  | number | no | `0` | 0 – 20 | ควบคุมความสอดคล้องและโฟกัสของเสียงผ่านสเกล Spatiotemporal Guidance (STG) เพิ่มค่าเพื่อเสริมคุณสมบัติทั้งสอง |
| `audio_rescaling_scale` |  | number | no | `0.7` | 0 – 1 | การปรับสเกลเสียงเพื่อสร้างสมดุลระหว่าง classifier-free guidance กับ spatiotemporal guidance ในรูปอัตราส่วน |
| `audio_modality_scale` |  | number | no | `3` | 0 – 10 | การปรับโมดาลิตีเสียงเพื่อสร้างสมดุลระหว่างสัดส่วนของวิดีโอและเสียง |
| `gradient_estimation_gamma` |  | number | no | `2` | 0 – 10 | การตั้งค่าการประมาณเกรเดียนต์สำหรับการลด noise: ค่า 0 จะปิดการประมาณ มิฉะนั้นค่าจะระบุ gamma |
| `use_restart_sampling` |  | boolean | no | `false` |  | ตัวเลือกการสุ่มตัวอย่างใหม่เพื่อคุณภาพวิดีโอที่อาจดีขึ้น: เมื่อเปิดใช้ ระบบจะเพิ่ม noise เล็กน้อยในทุกขั้นตอนการลด noise |
| `scheduler` |  | enum (string) | no | `ltx2` | `ltx2`, `linear_quadratic`, `beta` | การเลือก scheduler |
| `acceleration` |  | enum (string) | no | `regular` | `none`, `regular`, `high`, `full` | ระดับการเร่งความเร็วที่ใช้กับการประมวลผล |
| `camera_lora` |  | enum (string) | no | `none` | `dolly_in`, `dolly_out`, `dolly_left`, `dolly_right`, `jib_up`, `jib_down`, `static`, `none` | การเลือก Camera LoRA เพื่อควบคุมการเคลื่อนไหวในวิดีโอที่สร้างได้แม่นยำกว่าการใช้พรอมต์การเคลื่อนไหวของกล้องเพียงอย่างเดียว |
| `camera_lora_scale` |  | number | no | `1` | 0 – 1 | ความแรงของ Camera LoRA เพื่อควบคุมการเคลื่อนไหวในวิดีโอที่สร้างได้แม่นยำกว่าการใช้พรอมต์การเคลื่อนไหวของกล้องเพียงอย่างเดียว |
| `negative_prompt` |  | string | no | `news broadcast, 3d animation, computer graphics, pc game, console game, video game, cartoon, childish, watermark, logo, text, on screen text, subtitles, titles, signature, slowmo, static` |  | พรอมต์เชิงลบที่ใช้ระหว่างการสร้างวิดีโอ |
| `seed` |  | integer \| null | no |  |  | ค่า Seed ที่เริ่มต้นการสร้างตัวเลขสุ่ม |
| `enable_prompt_expansion` |  | boolean | no | `true` |  | ควบคุมว่าจะเปิดใช้การขยายพรอมต์หรือไม่ |
| `enable_safety_checker` |  | boolean | no | `true` |  | ควบคุมว่าจะเปิดใช้การตรวจสอบความปลอดภัยหรือไม่ |
| `video_output_type` |  | enum (string) | no | `X264 (.mp4)` | `X264 (.mp4)`, `VP9 (.webm)`, `PRORES4444 (.mov)`, `GIF (.gif)` | ประเภทเอาต์พุตของวิดีโอผลลัพธ์ |
| `video_quality` |  | enum (string) | no | `high` | `low`, `medium`, `high`, `maximum` | ระดับคุณภาพของวิดีโอผลลัพธ์ |
| `video_write_mode` |  | enum (string) | no | `balanced` | `fast`, `balanced`, `small` | โหมดการเขียนสำหรับวิดีโอผลลัพธ์ |
| `distill_lora_first_pass_scale` |  | number | no | `0.2` | 0 – 1 | ควบคุมสเกล distill LoRA ในการประมวลผลครั้งแรก โดยใช้ 0 เพื่อปิด |
| `distill_lora_second_pass_scale` |  | number | no | `0.5` | 0 – 1 | ควบคุมสเกล distill LoRA สำหรับทุกครั้งที่ประมวลผลหลังจากครั้งแรก |
| `video_strength` |  | number | no | `1` | 0 – 1 | ความยืดหยุ่นในการเปลี่ยนแปลงเนื้อหาวิดีโอถูกควบคุมด้วยค่าน้ำหนักการปรับเงื่อนไขนี้: ค่าที่น้อยลงทำให้โมเดลมีอิสระมากขึ้น |
| `audio_strength` |  | number | no | `1` | 0 – 1 | ความยืดหยุ่นในการเปลี่ยนแปลงเนื้อหาเสียงถูกควบคุมด้วยค่าน้ำหนักการปรับเงื่อนไขนี้: ค่าที่น้อยลงทำให้โมเดลมีอิสระมากขึ้น |
| `preprocessor` |  | enum (string) | no | `none` | `depth`, `canny`, `pose`, `none` | ตัวประมวลผลล่วงหน้าที่ใช้ระหว่างการสร้าง |
| `ic_lora_type` |  | enum (string) | no | `union` | `match_preprocessor`, `union`, `detailer`, `none` | รูปแบบ IC LoRA ที่ใช้ระหว่างการสร้าง |

File parameters (`video`, `audio`, `image`, `end_image`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
```

A fuller example:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3-22b/reference-video-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx-2.3-22b/reference-video-to-video?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx-2.3-22b/reference-video-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "ltx-2.3-22b/reference-video-to-video",
      "input": {
        "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3-22b/reference-video-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 453,
    "usd": "0.453",
    "charged": 453,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "prompt": "black-and-white video, a cowboy walks through a dusty town, film grain"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames} | วิดีโอที่โมเดลสร้าง |
| `seed` | integer | ค่า Seed ที่ใช้เริ่มต้นการสร้างตัวเลขสุ่ม |
| `prompt` | string | พรอมต์ที่ใช้ชี้นำการสร้าง |

## Related models

- [LTX-2.3 22B · Text to Video](https://doitong.com/developers/models/ltx-2.3-22b/text-to-video.md) (`ltx-2.3-22b/text-to-video`): $0.00161 / megapixel of output video
- [LTX-2.3 22B · Text to Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/text-to-video/lora.md) (`ltx-2.3-22b/text-to-video/lora`): $0.00181 / megapixel of output video
- [LTX-2.3 22B · Image to Video](https://doitong.com/developers/models/ltx-2.3-22b/image-to-video.md) (`ltx-2.3-22b/image-to-video`): $0.00161 / megapixel of output video
- [LTX-2.3 22B · Image to Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/image-to-video/lora.md) (`ltx-2.3-22b/image-to-video/lora`): $0.00181 / megapixel of output video
- [LTX 2.3 22B](https://doitong.com/developers/models/ltx-2.3-22b/reference-video-to-video/lora.md) (`ltx-2.3-22b/reference-video-to-video/lora`): $0.00181 / megapixel of output video
- [LTX-2.3 22B · Extend Video](https://doitong.com/developers/models/ltx-2.3-22b/extend-video.md) (`ltx-2.3-22b/extend-video`): $0.00161 / megapixel of output video
- [LTX-2.3 22B · Extend Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/extend-video/lora.md) (`ltx-2.3-22b/extend-video/lora`): $0.00181 / megapixel of output video
- [LTX-2.3 22B · Video to Video](https://doitong.com/developers/models/ltx-2.3-22b/video-to-video.md) (`ltx-2.3-22b/video-to-video`): $0.00161 / megapixel of output video

## Links

- HTML page: https://doitong.com/developers/models/ltx-2.3-22b/reference-video-to-video
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=ltx-2.3-22b/reference-video-to-video
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/ltx-2.3-22b/reference-video-to-video
